> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Transporter ID

> Fetch transporter details by Transporter ID.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/search_transporter.json" arrow="true" horizontal />

#### Response schema

For successful responses, this reference describes the NIC E-Way Bill payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/search_transporter_response.json" arrow="true" horizontal />

<Note>
  The E-Way Bill portal provides a Transporter Identification Number to transporters who do not have a GSTIN.
</Note>


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/tax-payer/transin/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/tax-payer/transin/search:
    post:
      tags:
        - E-Way Bill1
        - Common
      summary: Search Transporter Id
      operationId: searchTransporterId
      parameters:
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchEWayBillTransporterRequest'
            examples:
              200 Transporter details fetched:
                value:
                  transin: 29AAFCA3559A1ZV
                summary: 200 Transporter details fetched
              328 Could not retrieve data:
                value:
                  transin: 29AKLPM8755F1Z2
                summary: 328 Could not retrieve data
      responses:
        '200':
          description: 200 Transporter details fetched / 328 Could not retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchEWayBillTransporterResponse'
              examples:
                200 Transporter details fetched:
                  summary: 200 Transporter details fetched
                  value:
                    code: 200
                    data:
                      data:
                        address1: 1 ,GROUND FLOOR ,-
                        address2: 2ND CROSS ,BANGALURU ,BANGALURU
                        legalName: AGARWAL PACKERS AND MOVERS LIMITED
                        pinCode: '560027'
                        stateCode: '29'
                        tradeName: AGARWAL PACKERS AND AMOVERS LIMITED
                        transin: 29AAFCA3559A1ZV
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 3ea71bc0-b5f5-45d7-8dca-800ccc073951
                328 Could not retrieve data:
                  summary: 328 Could not retrieve data
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '328'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 205e93e8-97cc-432d-b585-4efd3ec9ac82
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    SearchEWayBillTransporterRequest:
      type: object
      required:
        - transin
      properties:
        transin:
          type: string
          description: Transporter Identification Number
      description: E-Way Bill schema.
    SearchEWayBillTransporterResponse:
      oneOf:
        - $ref: '#/components/schemas/SearchEWayBillTransporterSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    SearchEWayBillTransporterSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                data:
                  $ref: '#/components/schemas/SearchEWayBillTransporterSuccessPayload'
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: '328'
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '1'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC business-failure status.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    SearchEWayBillTransporterSuccessPayload:
      type: object
      properties:
        address1:
          type: string
          example: 1 ,GROUND FLOOR ,-
          description: The address1 value.
        address2:
          type: string
          example: 2ND CROSS ,BANGALURU ,BANGALURU
          description: The address2 value.
        legalName:
          type: string
          example: AGARWAL PACKERS AND MOVERS LIMITED
          description: The legalName value.
        pinCode:
          type: string
          example: '560027'
          description: The pinCode value.
        stateCode:
          type: string
          example: '29'
          description: The stateCode value.
        tradeName:
          type: string
          example: AGARWAL PACKERS AND AMOVERS LIMITED
          description: The tradeName value.
        transin:
          type: string
          example: 29AAFCA3559A1ZV
          description: The transin value.
      description: E-Way Bill schema.
    EWayBillBusinessError:
      type: object
      description: NIC business-error details.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: NIC error code.

````